API EndpointsPayments
Submit details for a payment
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.plexypay.com/v2/payments/details" \ -H "Content-Type: application/json" \ -d '{ "details": { "returnUrlQueryString": "string" } }'{
"action": {
"type": "string",
"paymentMethodType": "string",
"url": "string",
"method": "string",
"paymentData": "string"
},
"additionalData": {},
"amount": {
"currency": "string",
"value": 0
},
"donationToken": "string",
"fraudResult": {
"accountScore": 0,
"results": [
"string"
]
},
"merchantReference": "string",
"paymentMethod": {
"brand": "string",
"type": "string"
},
"pspReference": "string",
"refusalReason": "string",
"refusalReasonCode": "string",
"resultCode": "AuthenticationFinished",
"shopperLocale": "string",
"threeDSPaymentData": "string"
}